<?xml version="1.0" encoding="windows-1250"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output indent="no" encoding="windows-1250" method="text"/>


<xsl:template match="/priklady">
<xsl:for-each select="priklad">
# Start of question: Multiple Choice Question
:TYPE:MC:1:0:C
<xsl:text>:TITLE:</xsl:text><xsl:apply-templates select="zadanie"/>
:FEEDBACK
:QUESTION:H<xsl:apply-templates/>:CAT:Default
# End of question: Multiple Choice Question
</xsl:for-each>
</xsl:template>

<xsl:template match="zadanie">
<xsl:apply-templates/>
<xsl:if test="img/@hight = '10%'">
&lt;img src="http://www.kirp.chtf.stuba.sk/~valo/dip/<xsl:value-of select="img/@src"/>" height="100" align="left" width="100"></xsl:if>
:IMAGE:
:LAYOUT:vertical</xsl:template>

<xsl:template match="moznost"><xsl:if test="./@ans = 'gooditem'"><xsl:text>:ANSWER</xsl:text><xsl:number  format="1"/>:100:H
<xsl:apply-templates/></xsl:if>
<xsl:if test="./@ans = 'baditem'"><xsl:text>:ANSWER</xsl:text><xsl:number  format="1"/>:0:H
<xsl:apply-templates/></xsl:if>
:REASON<xsl:number  format="1"/>:H
<xsl:if test="./@ans = 'gooditem'">Correct Answer!</xsl:if>
<xsl:if test="./@ans = 'baditem'">Sorry!</xsl:if>
</xsl:template>

<xsl:template match="span">
<xsl:text>$$</xsl:text><xsl:value-of select="."/><xsl:text>$$</xsl:text>
</xsl:template>


</xsl:stylesheet>

