function [priklad, podpriklad, zadanie, moznost, span] = moznost(choic,fw,obr,prikl,podprikl)
%Urobi moznosti pre vystup testov do xml , 
%"choic" je premenna v ktorej su ulozene odpovede,hodnoty zadania, kod prikladu,
%"fw" je premena pre ulozenie do xml,
%"obr" znamena ze v odpovdi su matematicke vzorce (nie iba cislo) 
%a nadobuda hodnoty 1 ak ano, alebo 0 ak nie,
%"prikl" znamena ci dany problem je hlavny problem "1" alebo podproblem "0"
%"podprikl" znamena ci dany podproblem(problem) je posledny alebo za nim
%nasleduje dalsi podproblem

s = {'iadna z ostatnch odpoved nie je sprvna',choic{2}{1},choic{2}{2},choic{2}{3},choic{2}{4}};
priklady=fw{1};
dokument=fw{2};
priklad=fw{3};
podpriklad=fw{4};

i = randperm(5);
for r=1:5
if i(r)==5
answers{2}{r}=sprintf('gooditem');
else
answers{2}{r}=sprintf('baditem');
end
end

if prikl == 1
priklad = priklady.createElement('priklad');
dokument.appendChild(priklad); 
priklad.setAttribute('name',sprintf('%s',choic{3}));
else        
dokument.appendChild(podpriklad); 
podpriklad = priklad.appendChild(priklady.createElement('podpriklad'));
end

if (podprikl == 1 & prikl == 0) | (podprikl == 0 & prikl == 0) 
zadanie = podpriklad.appendChild(priklad.appendChild(priklady.createElement('zadanie')));
for w=1:2:choic{1}{3} 
zadanie.appendChild(podpriklad.appendChild(priklad.appendChild(priklady.createTextNode(sprintf('%s',choic{1}{1}{w})))));
span = zadanie.appendChild(podpriklad.appendChild(priklad.appendChild(priklady.createElement('span'))));
u=w+1;
span.appendChild(zadanie.appendChild(podpriklad.appendChild(priklad.appendChild(priklady.createTextNode(sprintf('%s',choic{1}{1}{u}))))));
span.setAttribute('CLASS','math');
end
zadanie.setAttribute('hodnotenie',sprintf('%s',choic{1}{2}));
for r=1:5
    if (i(r)==1 | obr==0)
moznost = podpriklad.appendChild(priklad.appendChild(priklady.createElement('moznost')));
moznost.appendChild(podpriklad.appendChild(priklad.appendChild(priklady.createTextNode(sprintf('%s',s{i(r)})))));
else 
moznost = podpriklad.appendChild(priklad.appendChild(priklady.createElement('moznost')));
span = moznost.appendChild(podpriklad.appendChild(priklad.appendChild(priklady.createElement('span'))));
span.setAttribute('CLASS','math');
span.appendChild(moznost.appendChild(podpriklad.appendChild(priklad.appendChild(priklady.createTextNode(sprintf('%s',s{i(r)}))))));
end
moznost.setAttribute('ans',sprintf('%s',answers{2}{r}));
end
else 
zadanie = priklad.appendChild(priklady.createElement('zadanie'));
for w=1:2:choic{1}{3} 
zadanie.appendChild(priklad.appendChild(priklady.createTextNode(sprintf('%s',choic{1}{1}{w}))));
span = zadanie.appendChild(priklad.appendChild(priklady.createElement('span')));
u=w+1;
span.appendChild(zadanie.appendChild(priklad.appendChild(priklady.createTextNode(sprintf('%s',choic{1}{1}{u})))));
span.setAttribute('CLASS','math');
end
zadanie.setAttribute('hodnotenie',sprintf('%s',choic{1}{2}));
for r=1:5
    if (i(r)==1 | obr==0)
moznost = priklad.appendChild(priklady.createElement('moznost'));
moznost.appendChild(priklad.appendChild(priklady.createTextNode(sprintf('%s',s{i(r)}))));
else
moznost = priklad.appendChild(priklady.createElement('moznost'));
span = moznost.appendChild(priklad.appendChild(priklady.createElement('span')));
span.setAttribute('CLASS','math');
span.appendChild(moznost.appendChild(priklad.appendChild(priklady.createTextNode(sprintf('%s',s{i(r)})))));
end
moznost.setAttribute('ans',sprintf('%s',answers{2}{r}));
end
end
