% Modelovanie zmiesavania 2 teplych prudov vody
model=fopen('model.xml','w');

nahoda = fix(rand(1,3)*100+1)/10; v=nahoda(1,1); q1 = nahoda(1,2);
q2 = nahoda(1,3); 
t1 = fix(rand(1,1)*500+1)/10+280;
t2 = fix(rand(1,1)*500+1)/10+330;

res{1}='a_1 = -q_1/V, a_2 = -q_2/V, a_3 = (q_1+q_2)/V';
res{2}='a_1 = -q_1/V, a_2 = -q_2/V, a_3 = -(q_1+q_2)/V';
res{3}='a_1 = q_1/V, a_2 = q_2/V, a_3 = (q_1+q_2)/V';
res{4}='a_1 = q_1/V, a_2 = q_2/V, a_3 = -(q_1+q_2)/V';
[ss2,e]=sprintf('%s',res{1});
[ss3,e]=sprintf('%s',res{2});
[ss4,e]=sprintf('%s',res{3});
[ss5,e]=sprintf('%s',res{4});
choice = {ss2,ss3,ss4,ss5};

zadaniee=sprintf('<zadanie hodnotenie="2">Do ndre s kontantnm objemom <span CLASS="math">V</span> pritek dvomi prdmi voda. Prv prd s objemovm prietokom <span CLASS="math">q_1</span> a teplotou <span CLASS="math">\\vartheta_1</span>, druh prd s objemovm prietokom <span CLASS="math">q_2</span> a teplotou <span CLASS="math">\\vartheta_2</span>. Objemov prietok na vstupe z ndre je dan stom vstupnch prietokov a teplota na vstupe je <span CLASS="math">\\vartheta</span>. Predpokladme kontantn hustotu a pecifick tepeln kapacitu, dokonal izolciu a dokonal mieanie v ndri.  Parametre s <span CLASS="math">\\rho=1000 kg {m}^{-3}, c_p=4.2 J.{kg}^{-1}.{K}^{-1}, V = %.2f m^3, q_1 = %.2f {m}^{3}.{h}^{-1},</span><br/><span CLASS="math"> q_2=%.2f {m}^{3}.{h}^{-1}, \\vartheta_1 = %.2f K, \\vartheta_2=%.2f K</span>. <br/> Matematick model ndre sa d opsa rovnicou <span CLASS="math">\\frac{d\\vartheta}{dt}  = a_1 \\vartheta_1 + a_2 \\vartheta_2 + a_3 \\vartheta </span>kde</zadanie>',v,q1,q2,t1,t2);
choic = {zadaniee,{choice{1},choice{2},choice{3},choice{4}}};
answers=moznost(choic,model,1,1,1);

ts = (q1*t1+q2*t2)/(q1+q2);
choicee = rand(1,3)*abs(t1-t2)+1+min(t1,t2);
[ss2,e]=sprintf('%.2f K',choicee(1,1));
[ss3,e]=sprintf('%.2f K',choicee(1,2));
[ss4,e]=sprintf('%.2f K',choicee(1,3));
[ss5,e]=sprintf('%.2f K',ts);
choice = {ss2,ss3,ss4,ss5};

zadaniee=sprintf('<zadanie hodnotenie="2">Ustlen teplota vody v ndri <span CLASS="math">\\vartheta</span> je pribline</zadanie>');
choic = {zadaniee,{choice{1},choice{2},choice{3},choice{4}}};
answers=moznost(choic,model,0,0,1);

choi = rand(3,3)+0.5;
%Gs = q1/( v s + (q1+q2) )
[ss2,e]=sprintf('G(s) = \\frac{%.3f}{s %+.3f}',q1*choi(1,1)/v,(q1+q2)*choi(1,3)/v);
[ss3,e]=sprintf('G(s) = \\frac{%.3f}{s %+.3f}',q1*choi(2,1)/v,(q1+q2)*choi(2,3)/v);
[ss4,e]=sprintf('G(s) = \\frac{%.3f}{s %+.3f}',q1*choi(3,1)/v,(q1+q2)*choi(3,3)/v);
[ss5,e]=sprintf('G(s) = \\frac{%.3f}{s %+.3f}',q1/v,(q1+q2)/v);
choice = {ss2,ss3,ss4,ss5};

zadaniee=sprintf('<zadanie hodnotenie="2">Prenos medzi vstupom <span CLASS="math">y=\\vartheta-\\vartheta^s</span> a vstupom <span CLASS="math">u=\\vartheta_1-{\\vartheta_1}^{s}</span>, kde <span CLASS="math">{}^{s}</span> oznauje ustlen hodnoty, je v tvare</zadanie>');
choic = {zadaniee,{choice{1},choice{2},choice{3},choice{4}}};
answers=moznost(choic,model,1,0,1);

choi = rand(3,2)+0.5;
tt = v/(q1+q2);
zs = q1/(q1+q2);
[ss2,e]=sprintf('T = %.4f h, Z = %.4f',tt*choi(1,1),zs*choi(1,2));
[ss3,e]=sprintf('T = %.4f h, Z = %.4f',tt*choi(2,1),zs*choi(2,2));
[ss4,e]=sprintf('T = %.4f h, Z = %.4f',tt*choi(3,1),zs*choi(3,2));
[ss5,e]=sprintf('T = %.4f h, Z = %.4f',tt,zs);
choice = {ss2,ss3,ss4,ss5};

zadaniee=sprintf('<zadanie hodnotenie="1">asov kontanta <span CLASS="math">T</span> a zosilnenie <span CLASS="math">Z</span> procesu s dan ako</zadanie>');
choic = {zadaniee,{choice{1},choice{2},choice{3},choice{4}}};
answers=moznost(choic,model,1,0,1);

t1n = fix(rand(1,1)*15+10)+t1;
% y = zs *(t1n-t1)*( 1 - exp(-t/tt) )
[ss2,e]=sprintf('y(t) = %.4f \\left(1 - e^{- %.4f t}\\right)',zs*choi(1,2)*(t1n-t1),1/(tt*choi(1,1)));
[ss3,e]=sprintf('y(t) = %.4f \\left(1 - e^{- %.4f t}\\right)',zs*choi(2,2)*(t1n-t1),1/(tt*choi(2,1)));
[ss4,e]=sprintf('y(t) = %.4f \\left(1 - e^{- %.4f t}\\right)',zs*choi(3,2)*(t1n-t1),1/(tt*choi(3,1)));
[ss5,e]=sprintf('y(t) = %.4f \\left(1 - e^{- %.4f t}\\right)',zs*(t1n-t1),1/tt);
choice = {ss2,ss3,ss4,ss5};

zadaniee=sprintf('<zadanie hodnotenie="2">Uvaujme, e cel proces je v ustlenom stave a e vstupn teplota <span CLASS="math">\\vartheta_1</span> sa zmen skokovo z pvodnej hodnoty na <span CLASS="math">\\vartheta_1=%.2f</span> K. asov zvislos odchlkovej veliiny <span CLASS="math">y</span> je v tomto prpade dan rovnicou</zadanie>',t1n);
choic = {zadaniee,{choice{1},choice{2},choice{3},choice{4}}};
answers=moznost(choic,model,1,0,1);

choi = (rand(3,1)+0.5)*4;
y = zs *(t1n-t1)*( 1 - exp(-1/tt)) + ts;
[ss2,e]=sprintf('\\vartheta(1) = %.2f K',choicee(1,1)+choi(1,1));
[ss3,e]=sprintf('\\vartheta(1) = %.2f K',choicee(1,2)+choi(2,1));
[ss4,e]=sprintf('\\vartheta(1) = %.2f K',choicee(1,3)+choi(3,1));
[ss5,e]=sprintf('\\vartheta(1) = %.2f K',y);
choice = {ss2,ss3,ss4,ss5};

zadaniee=sprintf('<zadanie hodnotenie="2">Teplota na vstupe z ndre v ase <span CLASS="math">t=1</span> h je pribline </zadanie>');
choic = {zadaniee,{choice{1},choice{2},choice{3},choice{4}}};
answers=moznost(choic,model,1,0,0);

fclose(model);

