function [answers] = moznost(choic,fw,obr,priklad,podpriklad)
%Urobi moznosti pre vystup testov do xml , 
%"choic" je premenna v ktorej su ulozene odpovede,hodnoty zadania, kod prikladu,
%"fw" je premena pre ulozenie do xml,
%"obr" znamena ze v odpovdi su matematicke vzorce (nie iba cislo) 
%a nadobuda hodnoty 1 ak ano, alebo 0 ak nie,
%"priklad" znamena ci dany problem je hlavny problem "1" alebo podproblem "0"
%"podpriklad" znamena ci dany podproblem(problem) je posledny alebo za nim
%nasleduje dalsi podproblem

s = {'iadna z ostatnch odpoved nie je sprvna',choic{2}{1},choic{2}{2},choic{2}{3},choic{2}{4}};

i = randperm(5);
for r=1:5
if i(r)==5
answers{2}{r}=sprintf('gooditem');
else
answers{2}{r}=sprintf('baditem');
end
if (i(r)==1 | obr==0)
answers{3}{r}=sprintf('%s',s{i(r)});
else
answers{3}{r}=sprintf('<span CLASS="math">%s</span>',s{i(r)});
end
end


if podpriklad == 1 
    if priklad == 1
        fprintf(fw,'<priklad>\n');
    else        
        fprintf(fw,'<podpriklad>\n');
    end
else
    if priklad == 1
        fprintf(fw,'<priklad>\n');
    else
        fprintf(fw,'<podpriklad>\n');
    end
end
fprintf(fw,'%s\n',choic{1});
fprintf(fw,'<moznost ans="%s">%s</moznost>\n',answers{2}{1},answers{3}{1});
fprintf(fw,'<moznost ans="%s">%s</moznost>\n',answers{2}{2},answers{3}{2});
fprintf(fw,'<moznost ans="%s">%s</moznost>\n',answers{2}{3},answers{3}{3});
fprintf(fw,'<moznost ans="%s">%s</moznost>\n',answers{2}{4},answers{3}{4});
fprintf(fw,'<moznost ans="%s">%s</moznost>\n',answers{2}{5},answers{3}{5});

if podpriklad == 0 
    if priklad == 0
        fprintf(fw,'</podpriklad>\n</priklad>\n');
    else 
        fprintf(fw,'</priklad>\n');
    end
else
    if priklad == 0
        fprintf(fw,'</podpriklad>\n');
    else
        fprintf(fw,'');
    end
end
