<?xml version="1.0" encoding="windows-1250"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output indent="no" encoding="windows-1250" method="text"/>
<xsl:strip-space elements="moznost"/>
<xsl:strip-space elements="zadanie"/>

<xsl:template match="/priklady">
<xsl:for-each select="priklad">
<xsl:apply-templates/>
<xsl:for-each select="moznost">
<xsl:variable name="cislo1"> <xsl:number value="position()" format="A"/></xsl:variable>
<xsl:if test="./@ans = 'gooditem'">ANSWER: <xsl:value-of select="$cislo1"/></xsl:if>
</xsl:for-each></xsl:for-each>
</xsl:template>

<xsl:template match="moznost">
<xsl:number  format="A"/><xsl:text>. </xsl:text><xsl:apply-templates/>
</xsl:template>

<xsl:template match="span">
<xsl:text>$$</xsl:text><xsl:value-of select="."/><xsl:text>$$</xsl:text>
</xsl:template>

</xsl:stylesheet>

