<?xml version="1.0" encoding="windows-1250"?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 plus MathML 2.0//EN"
"http://www.w3.org/TR/MathML2/dtd/xhtml-math11-f.dtd" [
  <!ENTITY mathml "http://www.w3.org/1998/Math/MathML">
  <!ENTITY % MATHML.prefixed "INCLUDE" >
]>
<!--<!DOCTYPE mml:math
    PUBLIC "-//W3C//DTD MathML 2.0//EN"
           "http://www.w3.org/TR/MathML2/dtd/mathml2.dtd" [
    <!ENTITY % MATHML.prefixed "INCLUDE">
    <!ENTITY % MATHML.prefix "mml">
]>-->

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output indent="yes" encoding="windows-1250" method="html"/>
<xsl:template match="/priklady">

<html>

<style type="text/css">
<![CDATA[
maction {
  background-color: green;
}
maction[actiontype="restyle#background"] {
  background-color: #3C6;
  border: 1px dotted red;
}
maction[actiontype="restyle#zoom"] {
  font-size: 40pt;
}
]]>
</style>

	  <script language="JavaScript" src="file.js"> </script>
      <body>
      <table bgcolor="lightblue" width="980">
      <xsl:for-each select="priklad">
      <xsl:variable name="cislo"> <xsl:number value="position()" format="1"/></xsl:variable>
      <xsl:for-each select="zadanie">
	  <tr><td><B>Problem <xsl:value-of select="$cislo"/> .)<xsl:text> __</xsl:text> </B></td>
	      <td><B><font color="red"><xsl:value-of select="."/></font></B></td>
		  <td><B><xsl:value-of select="./@hodnotenie"/> body</B></td></tr>
          </xsl:for-each>
	  <tr><td></td>
	      <td>
	      <table>
          <xsl:for-each select="moznost">
	      <tr><td></td>
	          <td><input><xsl:attribute name="type"><xsl:text>radio</xsl:text></xsl:attribute>
	          <xsl:attribute name="name"><xsl:text>tlacitko</xsl:text>[<xsl:value-of select="$cislo"/>]</xsl:attribute>
	          <xsl:attribute name="value"><xsl:number value="position()" format="1"/></xsl:attribute>
	          <xsl:attribute name="onclick">test("yes","<xsl:value-of select="./@ans"/>")</xsl:attribute>
	          <xsl:text></xsl:text></input></td>
	          <td><xsl:copy-of select="."/><xsl:text></xsl:text></td>
	          <td></td></tr>
	      </xsl:for-each>
          </table></td></tr>
          <xsl:for-each select="podpriklad">
	      <xsl:variable name="podcislo"> <xsl:number value="position()" format="1"/></xsl:variable>
           <tr><td></td><td> - <xsl:value-of select="zadanie"/></td>
	          <td><B><xsl:value-of select="zadanie/@hodnotenie"/> body</B></td></tr>
	      <xsl:for-each select="moznost">
		  <tr><td></td><td>
		  <table>
	      <tr><td></td>
	          <td><input><xsl:attribute name="type"><xsl:text>radio</xsl:text></xsl:attribute>
	          <xsl:attribute name="name"><xsl:text>tlacitko</xsl:text>[<xsl:value-of select="$cislo"/>,
	          <xsl:value-of select="$podcislo"/>]</xsl:attribute><xsl:attribute name="value">
	          <xsl:number value="position()" format="1"/></xsl:attribute>
	          <xsl:attribute name="onclick">test("yes","<xsl:value-of select="./@ans"/>")</xsl:attribute></input></td>
	          <td><xsl:copy-of select="."/><xsl:text></xsl:text></td>
		  	  <td></td></tr>
			  </table></td><td></td></tr>
          </xsl:for-each>
	      </xsl:for-each>
		  </xsl:for-each>
 </table>
 </body>
 </html>
 </xsl:template>
 </xsl:stylesheet>

