<?xml version="1.0" encoding="windows-1250"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output indent="yes" encoding="windows-1250" method="html"/>
<xsl:template match="/priklady">

<html>
      <body>
	  <script language="JavaScript" src="file.js"> </script>
	  <script language="JavaScript" src="jsMath/jsMath.js"></script>
	  <style TYPE="text/css">
      .math    {visibility: hidden}
      .typeset {font-size: 120%}
      .normal  {font-size: 120%}
      </style>
      <table bgcolor="lightblue" width="1100">
      <xsl:for-each select="priklad">
      <xsl:variable name="cislo"> <xsl:number value="position()" format="1"/></xsl:variable>
      <xsl:for-each select="zadanie">
	  <tr><td width="115"><B>Problem <xsl:value-of select="$cislo"/> .)<xsl:text></xsl:text> </B></td>
	      <td><B><font color="red">
	      <xsl:apply-templates/>
	      </font></B></td>
	  	  <td width="40"><P align="right"><table border="2"><tr><td><B><xsl:value-of select="./@hodnotenie"/> b</B></td></tr></table></P></td></tr>
          <xsl:for-each select="img">
          <tr><td></td><td><xsl:copy-of select="."/></td><td></td><td></td></tr></xsl:for-each></xsl:for-each>
	      <tr><td></td><td>
	      <table>
          <xsl:for-each select="moznost">
	      <tr><td></td>
	          <td><input><xsl:attribute name="type"><xsl:text>radio</xsl:text></xsl:attribute>
	          <xsl:attribute name="name"><xsl:text>tlacitko</xsl:text>[<xsl:value-of select="$cislo"/>]</xsl:attribute>
	          <xsl:attribute name="value"><xsl:number value="position()" format="1"/></xsl:attribute>
	          <xsl:attribute name="onclick">test("gooditem","<xsl:value-of select="./@ans"/>")</xsl:attribute>
	          <xsl:text></xsl:text></input></td>
	          <td><xsl:apply-templates/><xsl:text></xsl:text></td>
	          <td></td></tr>
	      </xsl:for-each>
          </table></td></tr>
          <xsl:for-each select="podpriklad">
	      <xsl:variable name="podcislo"> <xsl:number value="position()" format="1"/></xsl:variable>
          <xsl:for-each select="zadanie">
          <tr><td></td><td> - <B><font color="red">
	      <xsl:apply-templates/>
	      </font></B></td>
	  	  <td width="40"><P align="right"><table border="2"><tr><td><B><xsl:value-of select="./@hodnotenie"/> b</B></td></tr></table></P></td></tr>
          <xsl:for-each select="img">
          <tr><td></td><td><xsl:copy-of select="."/></td><td></td><td></td></tr></xsl:for-each></xsl:for-each>
	      <tr><td></td><td>
	      <table>
          <xsl:for-each select="moznost">
	      <tr><td></td>
	          <td><input><xsl:attribute name="type"><xsl:text>radio</xsl:text></xsl:attribute>
	          <xsl:attribute name="name"><xsl:text>tlacitko</xsl:text>[<xsl:value-of select="$cislo"/>,
	          <xsl:value-of select="$podcislo"/>]</xsl:attribute><xsl:attribute name="value">
	          <xsl:number value="position()" format="1"/></xsl:attribute>
	          <xsl:attribute name="onclick">test("gooditem","<xsl:value-of select="./@ans"/>")</xsl:attribute></input></td>
	          <td><xsl:apply-templates/><xsl:text></xsl:text></td>
	          <td></td></tr>
	      </xsl:for-each>
          </table></td></tr>
	      </xsl:for-each>
		  </xsl:for-each>
 </table>
 <SCRIPT>jsMath.Process()</SCRIPT> 
 </body>
 </html>
 </xsl:template>
 
 <xsl:template match="moznost"><xsl:value-of select="."/>
</xsl:template>
 
 <xsl:template match="span"><span CLASS="math"><xsl:value-of select="."/></span>
</xsl:template>

 <xsl:template match="br"><br/>
</xsl:template>

 </xsl:stylesheet>

